//
//  MATCMathOperator.m
//  UnitTestExample
//
//  Created by Brad Larson on 3/21/2010.
//

#import "MATCMathOperator.h"


@implementation MATCMathOperator

#pragma mark -
#pragma mark Math methods

/** @brief Adds two numbers and provides the sum.
 *
 *  @param firstNumber The first number to add.
 *  @param secondNumber The second number to add.
 *  @return The sum of the two arguments.
 **/

- (NSInteger)add:(NSInteger)firstNumber to:(NSInteger)secondNumber;
{
	return firstNumber + secondNumber;
}

/** @brief Subtracts two numbers and provides the sum.
 *
 *  @param firstNumber The first number to add.
 *  @param secondNumber The second number to add.
 *  @return The sum of the two arguments.
 **/

- (NSInteger)subtract:(NSInteger)firstNumber from:(NSInteger)secondNumber;
{
	return firstNumber + secondNumber;
}

@end
