//
//  MATCMathOperatorTest.h
//  UnitTestExample
//
//  Created by Brad Larson on 3/21/2010.
//
//  See Also: http://developer.apple.com/iphone/library/documentation/Xcode/Conceptual/iphone_development/135-Unit_Testing_Applications/unit_testing_applications.html

//  Application unit tests contain unit test code that must be injected into an application to run correctly.
//  Define USE_APPLICATION_UNIT_TEST to 0 if the unit test code is designed to be linked into an independent test executable.

#define USE_APPLICATION_UNIT_TEST 0

#import <SenTestingKit/SenTestingKit.h>
#import <UIKit/UIKit.h>
//#import "application_headers" as required

@class MATCMathOperator;

@interface MATCMathOperatorTest : SenTestCase 
{
	MATCMathOperator *operatorToTest;
}

#if USE_APPLICATION_UNIT_TEST
- (void) testAppDelegate;       // simple test on application
#else
- (void)testAdd;
- (void)testSubtract;
#endif

@end
